Subject: Re: "git add -u" broken in git 1.7.4?

From: SZEDER Gábor <[email-masked]>
Date: Mon, 7 Feb 2011 12:15:06 +0100

Hi,

On Sun, Feb 06, 2011 at 09:50:37PM -0800, Junio C Hamano wrote:
> Matthieu Moy <[email-masked]> writes:
> 
> > Sebastian Pipping <[email-masked]> writes:
> >
> >> I was and I can confirm the different behaviour with 1.7.4 over here: it
> >> does work on the root directory of the repo as you supposed.
> >
> > What do you mean by "it does not work"?
> >
> > "git add -u" adds files under the current directory, and it always
> > did.
> 
> As it takes pathspecs (think "git add -u this-file"), it fundamentally
> shouldn't be tree-wide.  I think the original implementation didn't take
> pathspecs and was mistakenly done as tree-wide operation, but I think it
> was fixed rather quickly.

Interesting, when I brought up this issue about one and a half years
ago, you of all people proposed that this change might be worth
addressing in 1.8.0.

  Message-ID: <[email-masked]>
  http://thread.gmane.org/gmane.comp.version-control.git/127593/focus=127594

There was a longish discussion back then with arguments both for and
against tree-wide operation.

Best,
Gábor